.ifnot HLP
.if micro
.subtitle $$OPER Operating proceedures
.page 
.else micro
.CHAPTER $$OPER OPERATING PROCEDURES
.endif micro
.index Operation 
.hl 1 initiating runoff 
.else hlp
.helpb OPERATION
.endif hlp
.br;If you are using this as a guide to DSR then this entire section should
be ignored.
.p;RUNOFF can be initiated in several ways. The general formats are: 
.nofill 
.s.indent +5;$$PROMPT RNO Command__string
.i10; ... or
.s.indent +5;$$PROMPT RNO <CR> 
.indent +5;RNO>Command__string
.i10; ... or if not installed
.s.indent +5;$$PROMPT RUN RNO <CR> 
.indent +5;RNO>Command__string
.fill 
.ifnot hlp
.hl 1 rno command string 
.index Command string 
.else hlp
.if RSX.br;Additional help is available on:
.br;COMMAND__STRING
.ifnot small
	FILE__SPECIFICATION
.endif small
	OPTIONS
.endif RSX
.endif hlp
.helpc Command__String
.p
.ifnot small
System programs usually require a command 
string to specify such things as input files and various 
options.  A standard command string has one of the following 
forms: 
.endif small
.skip 
.nofill 
.indent 5 
output-file,toc-file=input1-file/sw1/...,input2...
.x Table of contents
.skip 
.indent 10 
or 
.skip 
.indent 5 
@command-file 
.skip 
.fill 
The output-file, toc-file, and input-file are strings comprising a 
file specification. 
The toc-file may be omitted if no table of contents is desired.
.skip 
.ifnot small
The second form of command string (@command-file) is used to 
specify an indirect command file.  In this case each record of the 
file is used as a command string before any commands following the 
indirect command are accepted. 
.skip 
The command string syntax is described more completely in the 
User's Guide for the relevant operating system. 
.ifnot hlp
.hl 2 file specifications 
.index File Specifications 
.endif hlp
.helpc File__Specification
.endif small
A file specification has the following form: 
.nofill 
.skip 
.indent 5 
.IF RSX
Dev:[UIC]Filename.Typ;Ver 
.ENDIF RSX
.IF VMS
Dev:[Directory.subdir...]Filename.Typ;Ver 
.endif VMS
.IF IAS
Dev:[UIC]Filename.Typ;Ver 
.ENDIF IAS
.skip 
.ifnot small
.fill 
In this specification Dev must be a legal device code. If omitted the default 
value is SY:, the system disk.
.IF RSX
UIC must be a valid User 
Identification Code. 
If omitted the default is the current UIC.
.ENDIF RSX
.IF IAS
UIC must be a valid User 
Identification Code. 
.ENDIF IAS
.IF VMS
Directory must be a valid directory name of the form [Name1.Name2#.#.#.Namen].
If omitted the default is the current default directory.
.endif VMS
Filename is any 1- to 9-character 
alphanumeric string which specifies a file name. Typ is 
a 1- to 3-character alphanumeric file type.   Finally, Ver is a number 
which is the version number of the file.  This field also normally 
can be omitted since it defaults on input to the 
highest existing version number for the file and on output 
to the highest existing version number plus one. 
Normally you need only specify the Filename.
.endif small
.skip 
Default file specifications (any part of which may be overridden): 
.indent 5 ;Input:   SY:name.RNO 
.i5;Output:  SY:name.DOC 
.i5;Table of contents:  SY:name.RNT
.s
.ifnot small
If the name are omitted on the Output or Toc files, it is
assumed to be the same as the first Input name.
In other words:
.i5;,=file
.i10;is the same as:
.i5;SY:file.DOC,SY:file.RNT=SY:file.RNO
.i5;=file
.i10;is the same as:
.i5;SY:file.DOC=SY:file.RNO
.ifNOT HLP
.note Editing RUNOFF Output 
RUNOFF output files may not be edited normally with the standard 
editors. 
This version may produce editable output by using the /-CR option, 
when the text is processed.  If You do this /UL:L will not work  
but the output may easily be edited. 
If this option is used the ouput text/line must not exceed 256 characters,
the output buffer size.  If you need to use this feature with more than
256 characters/line see BUILDING RNO on how to change the output buffer
size.
.EN 
.endif HLP
.endif small
.helpc OPTIONS
.ifnot hlp
.HL 2 RNO OPTIONS 
.X Options
.endif hlp
A command string may have one or more options associated 
with it.  
.ifnot small
.if hlp
.if RSX.br;More information available:
.ts +5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,+5,
.nj;format	list	/AP	/CH	/CR	/DE	/EP	/EV	/FF
	/HY	/OD	/PA	/PS	/RI	/SP	/TT	/UC
	/UL	/WA	/WR	/2P
.j
.endif RSX
.endif hlp
.helpd format
A option is an indicator, consisting of a slash and a 
two-character ASCII name, used to select program options. 
The options may be used anywhere in the command string.
The option itself may have three forms. If the option designator, 
for example, is SW, then: 
.skip 
.nofill 
.indent +5
/SW sets the option action; 
.indent +5
/-SW negates the option action, and 
.indent +5
/NOSW also negates the option action. 
.skip 
.fill 
In addition the option identifier may be followed by any 
number of values.  The permitted values are strings 
or decimal numbers. 
Any numeric value may be preceded with a + or a - sign; 
The following are valid option specifications. 
.skip 
.nofill 
.indent +5
/FF:27
.INDENT +5
/-FF
.INDENT +5
/ul:n
.skip 
.fill 
.ifnot hlp
.PAGE 
Fourteen options control the
RNO program. These options, described below, 
may be specified on either the input or output file 
specification. the defaults may be set by the system manager at 
Task Build time. 
.endif hlp
.helpd list
.endif small
.ts +9,+8,+8,+8,+8,+8
.s.c;TABLE of RNO OPTIONS
.c;[] indicates optional syntax
.s
.br;/AP:l:h	--#Output only indicated appendix range. 
.br;/CH:l:h	--#Output only indicated chapter range. 
.br;/[-]CR	--#Output CR,LF in file. 
.br;/[-]DE	--#Type out input lines (debug)
.br;/[-]EP	--#Errors printed in .DOC file
.br;/[-]EV	--#Output even numbered pages.
.br;/[-]FF:n	--#Put form-feed at end of page.
.br;/[-]HY	--#Hyphenate output 
.br;/[-]OD	--#Output odd numbered pages.
.br;/PA:l:h	--#Output only indicated page range 
.br;/PS:h:w	--#Set page size to H,W (height,width) 
.br;/RI:n	--#Right shift output. n=amount of shift.
.br;/[-]SP	--#Spool the output file.
.br;/[-]TT	--#Bypass checks and do a write all on output.
.br;/[-]UC	--#Force ALL uppercase output 
.br;/UL:x	--#Underline x=[B-backspace, S-simulate, L-line, N-none] 
.br;/[-]WA	--#Wait at beginning of a page.
.br;/[-]WR	--#Warning message output.
.br;/[-]2P	--#Two pass operation.
.br;DEFAULT: /CR/-DE/-EP/EV/OD/PS:58:60 /HY/-SP/TT/UL:L/-WA/WR/-2P
.ifnot small
.helpd  /AP
.text
.if hlp
.set paragraph 0,0,0,0
.else hlp
.p
This following is a detailed explanation of each option.
.left margin .ts +9,+8,+8 .left margin +11 
.set paragraph -11,1,4,0
.endif hlp
.text.p;/AP:l:h	--#Output only indicated appendix range.
.br;l = lowest appendix to print 
.br;h = highest appendix to print 
.i5;default = print all 
.br;For example you wish to print appendix 5 so you type:
.i5;/AP:5:5
.br;If you wish to print appendices 3 to 6:
.i5;/AP:3:6
.br;If you wish to print appedices 2 and on...
.i5;/AP:2
.br;Appendix numbers may range from 0 to 3999
.helpd  /CH
.text
.p;/CH:l:h	--#Output only indicated chapter range.
.br;l = lowest chapter to print 
.br;h = highest chapter to print 
.i5;default = print all 
.br;If you wish to print chapters 1 to 5 you type:
.i5;/CH:1:5 or /CH::5
.br;If you wish to print chapter 4 on:
.i5;/CH:4
.br;Chapter numbers may range from 0 to 3999
.helpd  /CR
.text
.x Carriage-return
.p;/CR	--#Output CR,LF in file. (DEFAULT)
.p;/-CR	--#Output regular text (No CR,LF).
.br;When you use /CR the output file will contain the necessary codes to
advance the paper. 
.s.br;With /-CR No carriage returns or line feeds are output.
The file type is "CR". This mode is intended to
output text which may be edited by any editor or copied by FLX. This mode
doesn't work properly if the output line exceeds 256 characters. This 
should never be used if escape sequences, half spacing, or equations are
desired. 
.helpd  /DE
.text
.p;/DE	--#Type all input lines.
.p;/-DE	--#Do not type input lines. (DEFAULT)
.br;This is intended as a debugging aid.
Input lines are may be typed on your terminal so you can view exactly
where errors are in relation to the input.
.helpd	/EP
.bb
.text
.p;/EP	--#Error messages are printed in .DOC file.
Only non fatal error messages appear in the output file.  Fatal messages
are typed on the terminal.
.p;/-EP	--#Error messages are typed at terminal.
.eb
.helpd  /EV
.text
.p;/EV	--#Output even numbered pages.  (DEFAULT)
.p;/-EV	--#Do not output even numbered pages.
.br
If you wish to print on both sides of you paper, you first print the odd pages
by using /-EV.  Then you turn the paper over and print the even pages by using
/-OD. You may wish to use /RI with /-EV if you need extra margin for binding
on odd numbered pages. 
.helpd  /FF
.text
.X Form-feeds 
.p;/FF	--#Use form-feed at end of each page. (DEFAULT)
.p;/-FF:n	--#Simulate Form-feeds with blank lines
.br;When you use /FF form feeds are only output at the end of a 
page.  This causes the printer to advance to the next page.
When you start printing the paper must be properly adjusted because
there is no form feed at the beginning of the first page.
Most printers keep track of the paper and automatically advance to the 
beginning of the next page when given a form-feed.
.s.br;/-FF is usually used with primitive line printers which do not recognize
form-feeds, or it may be used to have output text free of Form-feeds. 
The end of each page will be padded with sufficient blank
lines to advance the paper to the beginning of the next page. 
n is paper length, (normally 66) set by your system manager. 
n must
be less than 128. If n is 0 then no blank lines separate pages.
.helpd  /HY
.text
.p;/HY	--#Hyphenate output.  (DEFAULT)
.p;/-HY	--#Do not hyphenate output.
.br;When /-HY is used output will not be hyphenated.  Neither
auto or manual hyphenation will work.
This overrides the _.ENABLE HYPHENATION command.
.X Hyphenation 
.helpd  /OD
.text
.p;/OD	--#Output odd numbered pages.  (DEFAULT)
.p;/-OD	--#Do not output odd numbered pages.
.br;This command is used to separate even, from odd pages.
See /EV.
.helpd  /PA
.text
.p;/PA:l:h	--#Output only indicated page range.
.br;l = lowest page to print 
.br;h = highest page to print 
.i5;default = print all 
.br;This option should be used with the /AP,or /CH options for 
chapter oriented text. Page numbers may range from 1 to 4000
If h is omitted then there is no maximum page number.
If l is omitted it is assumed to be page 1.
For example you wish to print pages 5 to 10:
.i5;/PA:5:10
.br;or you wish to print pages 6 to the end of the document.
.i5;/PA:6
.helpd  /PS
.text
.x Page size
.p;/PS:h:w	--#Set initial page size to h,w (height,width) 
.i5;default=/PS:58:60 (See PAGE SIZE command).
.br;If a _.PAGE SIZE command is used in your _.RNO file it will override this
option setting. H must be larger than 15 and less than 128. W must be larger
than 15 less than 256. 
.helpd  /RI
.text
.p;/RI:n	--#Right shift output. n=amount of shift.
.X Right shift 
.br;This adds extra space to the left margin.  This shift is in addition to
the _.LEFT MARGIN and the _.ENABLE BAR commands.
.s.br;EXAMPLE:If you wish to add 5 spaces (1/2 inch PICA type):
.i5;/RI:5
.helpd  /SP
.text
.p;/SP	--#Spool the output file.
.p;/-SP	--#Do not spool output file.
.br;/SP causes the output file will be printed on the line printer.  NOTE:
This does not apply to the TOC file. 
.X Spooling 
.helpd  /TT
.text
.p;/TT	--#Do write all output. (DEFAULT)
.p;/-TT	--#Normal output.
.br;In /TT mode The text is output without any 
changes.  This bypasses normal operating system checking of output. This
option works only if you send the output directly to a terminal or printer,
and not to a file.  The device must be defined as a terminal type device.
This option affects only the _.DOC output and not the _.RNT file.
Sometimes the operating system will swallow control codes sent to the output
device. This option insures that this will not happen. 
.helpd  /UC
.text
.p;/UC	--#Force ALL uppercase output.  The output will all be in caps.
.p;/-UC	--#Allow normal case conversion. (DEFAULT)
.X Case 
.helpd  /UL
.text
.X Underlining 
.p;/UL:B	--#Underline with a spacing-backspace.
.br;This type of underlining may fail to work properly if sub/superscripts or
weird selectable fonts are used in the text. Alternate fonts must have the
underscore in the normal ASCII position for this option to work. 
.p;/UL:L	--#Underline via line overprint with underline character. 
(DEFAULT)
.p;/UL:N	--#Underlining suppressed. 
.br;This overrides the _.ENABLE UNDERLINING command.
.p;/UL:S	--#Simulate underline with hyphen character on next line. 
.br;This is used for line printers which have no special features.
Sometimes this option may add an extra line to a page to accomodate
underlining.  To avoid this _.LAYOUT n,s with s greater than 0 should be used.
This reserves an extra line for possible underlines.
.helpd  /WA
.text
.p;/WA	--#Wait at beginning of each page.
.p;/-WA	--#Print each page with no wait. (DEFAULT)
.br;/WA is useful if your printer must have some adjustments at the
top of each page, or if you must feed in each page manually.
RNO will wait for you to press the "return" key on the terminal before
printing the next page.
.helpd  /WR
.text
.p;/WR	--#Warning message output. (DEFAULT)
.p;/-WR	--#No warning message output.
.br
Warning messages notify you of problems with the input, which might
cause you difficulties.  Warning messages do not indicate that a problem
actually occurred, only that one might occurr.
.helpd  /2P
.text
.p;/2P	--#Two pass operation.
.p;/-2P	--#One pass operation.  (DEFAULT)
.br;RNO can perform 2 passes
so that all substitutions are defined on the first pass, and all text
output on the second.  This allows both forward and backward references.
The _.TYPE commands are executed for the second pass, but not for the first.
This option will cause error messages to appear in different 
places.  All multiple substitute definitions appear during pass 1 while all 
other messages except for fatal messages appear during pass 2.  
Fatal messages appear only once, and output may be missing.
RNO will take about twice as long to execute in 2 pass mode.
.index Two pass mode
.etx.FILL 
.endif small
.LEFT MARGIN 
.set paragraph 0,1,2,2
